#!/bin/sh
#
# Start Diversity Navigator
#
classpath=./
#
# classpath=$classpath:./jar/castor-0.9.5.2.jar
# classpath=$classpath:./jar/castor-0.9.5.2-xml.jar
classpath=$classpath:./jar/castor-0.9.5.3.jar
classpath=$classpath:./jar/castor-0.9.5.3-xml.jar
#
classpath=$classpath:./jar/jdbc-se2.0.jar
classpath=$classpath:./jar/jta1.0.1.jar
#
# XML
#
classpath=$classpath:./jar/jdom-b9.jar
classpath=$classpath:./jar/xmlParserAPIs.jar
classpath=$classpath:./jar/xalan.jar
classpath=$classpath:./jar/xerces.jar
#
# Logging
#
classpath=$classpath:./jar/log4j-1.2.8.jar
#
# Web-Service Apache Axis.1.1RC2
#
classpath=$classpath:./jar/axis.jar
classpath=$classpath:./jar/jaxrpc-api.jar
classpath=$classpath:./jar/saaj.jar
classpath=$classpath:./jar/wsdl4j.jar
classpath=$classpath:./jar/commons-discovery.jar
classpath=$classpath:./jar/commons-logging.jar
#
# Look And Feel
#
classpath=$classpath:./jar/AbsoluteLayout.jar
#
classpath=$classpath:./jar/looks-1.3.2.jar
classpath=$classpath:./jar/forms-1.0.6.jar
#
# Postgresql JDBC Driver
#
# classpath=$classpath:./jar/pg73jdbc3.jar
# classpath=$classpath:./jar/pg74.214.jdbc3.jar
classpath=$classpath:./jar/postgresql-8.1-407.jdbc3.jar
#
# MS-SQL-Serer JDBC Driver
#
# classpath=$classpath:./jar/jtds-0.9.1.jar
classpath=$classpath:./jar/jtds-1.2.jar
#
# HSQL-DB Version 1.8.0.5
#
classpath=$classpath:./jar/hsqldb.jar
#
# hibernate
#
classpath=$classpath:./jar/ehcache-0.9.jar
classpath=$classpath:./jar/odmg-3.0.jar
classpath=$classpath:./jar/cglib-full-2.0.2.jar
classpath=$classpath:./jar/commons-collections-2.1.1.jar
classpath=$classpath:./jar/dom4j-1.4.jar
classpath=$classpath:./jar/hibernate2.jar
classpath=$classpath:./jar/commons-lang-1.0.1.jar
#
# classpath=$classpath:./jar/
#
# hibernate configuration
#
classpath=$classpath:./hibernate-config/
#
# use global CLASSPATH
# classpath=$CLASSPATH
#
#
# Diversity Navigator (JAR)
#
classpath=$classpath:./diversity_navigator.jar
#
echo
echo "Use CLASSPATH: $classpath"
echo "Start DiversityNavigator ... "
#
# memory settings
#
# -Xms<size>        set initial Java heap size, The default value is 2MB
memset="-Xms8m"
#-Xmx<size>         set maximum Java heap size, The default value is 64MB
memset="$memset -Xmx128m"
#-Xss<size>        set java thread stack size
memset="$memset -Xss64m"
#
echo "memory settings: $memset"
#
java $memset -cp $classpath net.metadiversity.diversity.navigator.DiversityNavigator

#
