/*
 * ExternalNameID.java
 *
 * Created on 2. Juni 2004, 17:48
 */

package net.metadiversity.diversity.navigator.db.diversity_names_lias;

/**
 *
 * @author  didi
 */
public class ExternalNameID
{
    private long NameID;                // The ID of a name in DiversityPlantTaxonomy (foreign key + part of primary key: the name string associated with NameID may occur in multiple external databases).
    private byte ExternalDatabaseID;    // The ID of an external taxonomic data collection as defined in PlantNameExternalDatabase (foreign key + part of primary key).
    private long ExternalNameID;        // An ID number for a name as defined in the external database (foreign key to separate module).
    /*
    Index name:
    Attributes & index properties
    PrimaryKey:
    NameID; ExternalDatabaseID (Primary key; Unique values)
    Relation type:
    Fields involved
    Updates & deletions cascade
    ExternalNameDatabase.ExternalDatabaseID  ExternalNameID.ExternalDatabaseID
    Updates & deletions cascade
    TaxonomyName.NameID  ExternalNameID.NameID
    */    
    /** Creates a new instance of ExternalNameID */
    public ExternalNameID()
    {
    }
    
}
