package net.metadiversity.diversity.navikey.servlet;
/*
 * @author Michael Bartley
 */

import java.net.URL;

import net.metadiversity.diversity.navikey.bo.DeltaInterface;
import net.metadiversity.diversity.navikey.delta.DeltaConnector;

public class HttpDeltaConnector extends DeltaConnector
{
    private URL urlBase;
    
    public HttpDeltaConnector(String url)
    {
        System.out.println("Want to connect to: " + url);
        urlBase = null;
        try
        {
            //urlBase = new URL("http://dev.huh.harvard.edu:8765/servlet/NaviKeyHttpServlet");
            urlBase = new URL(url);
        }
        catch(Exception e)
        {
            System.out.println("Unable to connect to servlet" + e);
        }
    }
    
    public DeltaInterface getObject()
    {
    	System.out.println( urlBase );
        return new HttpClientDelta(urlBase);
    }
    
}
