/*
 * TestApplet.java
 *
 * Created on 11. Juli 2002, 20:02
 */

package net.metadiversity.diversity.navigator.applet;

// import org.w3c.dom.*;                // Core DOM classes
// import org.w3c.dom.traversal.*;      // TreeWalker and related DOM classes
// import org.apache.xerces.parsers.*;  // Apache Xerces parser classes
//import org.xml.sax.*;                // Xerces DOM parser uses some SAX classes
import javax.swing.*;                // Swing classes 
// import javax.swing.tree.*;           // TreeModel and related classes
// import javax.swing.event.*;          // Tree-related event classes
// import java.io.*;                    // For reading the input XML file
// import java.awt.*;
// import java.net.*;

import net.metadiversity.diversity.navigator.applet.Newick;

/**
 *
 * @author  didi
 */
public class TestApplet extends javax.swing.JApplet 
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3258416140119128116L;
    Newick nw = null;
    
    
    public TestApplet() 
    {
        
        getRootPane().putClientProperty( "defeatSystemEventQueueCheck", Boolean.TRUE );
        
        try
        {
            nw = new Newick();
        }
        catch( java.io.IOException ex ) 
        { 
            System.out.println( ex );
        }
        catch( org.xml.sax.SAXException ex )
        { 
            System.out.println( ex );
        }
    }
    
    public void start()
    {
        SwingUtilities.invokeLater( new Runnable() 
        {
            public void run()
            {
                System.out.println( getAppletInfo() );
                // getContentPane().add( nw.getTree() );
                getContentPane().add( new JScrollPane( nw.getTree() ) );
                getContentPane().setVisible( true );
                validate();
            }
        });
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() 
    {

    }
    
    
    // Variables declaration - do not modify
    // End of variables declaration
    
}
