package net.metadiversity.diversity.navigator.db.delta_editor;
/*
 * @author Dieter Neubacher
 */

//--------------------------------------------------------------------------
//--------------------------------------------------------------------------        
public class Inapplicalible implements Comparable
{
    public int cid;
    public String cs;
    
    public Inapplicalible(int cid, String cs)
    {
        this.cid = cid; 
        this.cs = cs.trim(); 
    }
    
    public int compareTo(Object obj)
    {
        Inapplicalible comp = ( Inapplicalible ) obj;
        
        if( cid < comp.cid )
            return -1;
        else if( cid > comp.cid )
            return 1;
        else 
            return cs.compareTo( comp.cs );
    }
    
    public boolean equals(Object obj)
    {
        Inapplicalible comp = ( Inapplicalible ) obj;
        
        return ( cid == comp.cid && cs.equals( comp.cs ) );
    }
    //------------------------------------------------------------------
    // implement hashCode(), this is used by HashSet to determinate
    // if to objects my be equals
    //------------------------------------------------------------------
    public int hashCode()
    {
        // int h = super.hashCode();
        // System.out.print( cid + " " + cs + " " + h );
        // h = cid  + cs.hashCode();
        // System.out.println( " " + h );
        return cid  + cs.hashCode();
    }
}