/*
 * ExternalNameDatabase.java
 *
 * Created on 2. Juni 2004, 17:40
 */

package net.metadiversity.diversity.navigator.db.diversity_names_lias;

/**
 *
 * @author  didi
 */
public class ExternalNameDatabase
{
    /*
    Attributes and indices of the entity 'ExternalNameDatabase'
    */

    private byte    ExternalDatabaseID;         // An ID to identify an external data collection of plant names (primary key, the ID has no meaning outside of the DiversityWorkbench system).
    private String  ExternalDatabaseName;       // The name of the data collection that has been integrated or can be linked to for further analysis.
    private String  ExternalDatabaseVersion;    // The version of this data collection (either official version number, or dates when the collection was integrated).
    private String  Rights;                     // A description of copyright agreements or permission to use data from the external database.
    private String  InternalNotes;              // Additional notes concerning this data collection.
    private String  ExternalAttribute_NameID;   // The table and field name in the external data collection to which PlantNameAnalysis.ExternalNameID refers.
    /*
    Index name:
    Attributes & index properties
    PrimaryKey:
    ExternalDatabaseID (Primary key; Unique values)
    Relation type:
    Fields involved
    Updates & deletions cascade�
    ExternalNameDatabase.ExternalDatabaseID  ExternalNameID.ExternalDatabaseID
    */
    
    /** Creates a new instance of ExternalNameDatabase */
    public ExternalNameDatabase()
    {
    }

        
}
