/*
 * ExternalReferenceDatabase.java
 *
 * Created on 2. Juni 2004, 17:48
 */

package net.metadiversity.diversity.navigator.db.diversity_names_lias;

/**
 *
 * @author  didi
 */
public class ExternalReferenceDatabase
{
    private int     ReferenceDatabaseID;        // An ID to identify an external data collection of plant names (primary key, the ID has no meaning outside of the DiversityWorkbench system).
    private String  ReferenceDatabaseName;      // The name of the data collection that has been integrated or can be linked to for further analysis.
    private String  ReferenceDatabaseVersion;   // The version of this data collection (either official version number, or dates when the collection was integrated).
    private String  Rights;                     // A description of copyright agreements or permission to use data from the external database.
    private String  InternalNotes;              // Additional notes concerning this data collection.
    private String  ExternalAttribute_NameID;   // The table and field name in the external database to which ReferenceID refers.
    /*
    Index name:
    Attributes & index properties
    ExternalAttribute_NameID:
    ExternalAttribute_NameID (Duplicates OK)
    PrimaryKey:
    ReferenceDatabaseID (Primary key; Unique values)
    Relation type:
    Fields involved
    Updates cascade
    ExternalReferenceDatabase.ReferenceDatabaseID TaxonomyName.ReferenceDatabaseID
    */    
    /** Creates a new instance of ExternalReferenceDatabase */
    public ExternalReferenceDatabase()
    {
    }
    
}
