package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import java.util.Set;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class IdentificationUnit implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3616444601078986549L;

    /** identifier field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnitPK comp_id;

    /** persistent field */
    private boolean onlyObserved;

    /** nullable persistent field */
    private String typifiedTaxon;

    /** nullable persistent field */
    private Integer substrateId;

    /** nullable persistent field */
    private String colonisedPart;

    /** nullable persistent field */
    private String lifeStage;

    /** nullable persistent field */
    private String notes;

    /** nullable persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionSpecimen collectionSpecimen;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTaxonomicGroupEnum xcollTaxonomicGroupEnum;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTypeStatusEnum xcollTypeStatusEnum;

    /** persistent field */
    private Set identifications;

    /** full constructor */
    public IdentificationUnit(net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnitPK comp_id, boolean onlyObserved, String typifiedTaxon, Integer substrateId, String colonisedPart, String lifeStage, String notes, net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionSpecimen collectionSpecimen, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTaxonomicGroupEnum xcollTaxonomicGroupEnum, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTypeStatusEnum xcollTypeStatusEnum, Set identifications) {
        this.comp_id = comp_id;
        this.onlyObserved = onlyObserved;
        this.typifiedTaxon = typifiedTaxon;
        this.substrateId = substrateId;
        this.colonisedPart = colonisedPart;
        this.lifeStage = lifeStage;
        this.notes = notes;
        this.collectionSpecimen = collectionSpecimen;
        this.xcollTaxonomicGroupEnum = xcollTaxonomicGroupEnum;
        this.xcollTypeStatusEnum = xcollTypeStatusEnum;
        this.identifications = identifications;
    }

    /** default constructor */
    public IdentificationUnit() {
    }

    /** minimal constructor */
    public IdentificationUnit(net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnitPK comp_id, boolean onlyObserved, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTaxonomicGroupEnum xcollTaxonomicGroupEnum, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTypeStatusEnum xcollTypeStatusEnum, Set identifications) {
        this.comp_id = comp_id;
        this.onlyObserved = onlyObserved;
        this.xcollTaxonomicGroupEnum = xcollTaxonomicGroupEnum;
        this.xcollTypeStatusEnum = xcollTypeStatusEnum;
        this.identifications = identifications;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnitPK getComp_id() {
        return this.comp_id;
    }

    public void setComp_id(net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnitPK comp_id) {
        this.comp_id = comp_id;
    }

    public boolean isOnlyObserved() {
        return this.onlyObserved;
    }

    public void setOnlyObserved(boolean onlyObserved) {
        this.onlyObserved = onlyObserved;
    }

    public String getTypifiedTaxon() {
        return this.typifiedTaxon;
    }

    public void setTypifiedTaxon(String typifiedTaxon) {
        this.typifiedTaxon = typifiedTaxon;
    }

    public Integer getSubstrateId() {
        return this.substrateId;
    }

    public void setSubstrateId(Integer substrateId) {
        this.substrateId = substrateId;
    }

    public String getColonisedPart() {
        return this.colonisedPart;
    }

    public void setColonisedPart(String colonisedPart) {
        this.colonisedPart = colonisedPart;
    }

    public String getLifeStage() {
        return this.lifeStage;
    }

    public void setLifeStage(String lifeStage) {
        this.lifeStage = lifeStage;
    }

    public String getNotes() {
        return this.notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionSpecimen getCollectionSpecimen() {
        return this.collectionSpecimen;
    }

    public void setCollectionSpecimen(net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionSpecimen collectionSpecimen) {
        this.collectionSpecimen = collectionSpecimen;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTaxonomicGroupEnum getXcollTaxonomicGroupEnum() {
        return this.xcollTaxonomicGroupEnum;
    }

    public void setXcollTaxonomicGroupEnum(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTaxonomicGroupEnum xcollTaxonomicGroupEnum) {
        this.xcollTaxonomicGroupEnum = xcollTaxonomicGroupEnum;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTypeStatusEnum getXcollTypeStatusEnum() {
        return this.xcollTypeStatusEnum;
    }

    public void setXcollTypeStatusEnum(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollTypeStatusEnum xcollTypeStatusEnum) {
        this.xcollTypeStatusEnum = xcollTypeStatusEnum;
    }

    public Set getIdentifications() {
        return this.identifications;
    }

    public void setIdentifications(Set identifications) {
        this.identifications = identifications;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("comp_id", getComp_id())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof IdentificationUnit) ) return false;
        IdentificationUnit castOther = (IdentificationUnit) other;
        return new EqualsBuilder()
            .append(this.getComp_id(), castOther.getComp_id())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getComp_id())
            .toHashCode();
    }

}
