package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class XcollCollectionEditingEnum implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257846580294858805L;

    /** identifier field */
    private String code;

    /** nullable persistent field */
    private String description;

    /** nullable persistent field */
    private String abbreviation;

    /** nullable persistent field */
    private String internalNotes;

    /** persistent field */
    private int displayOrder;

    /** persistent field */
    private boolean displayEnable;

    /** full constructor */
    public XcollCollectionEditingEnum(String code, String description, String abbreviation, String internalNotes, int displayOrder, boolean displayEnable) {
        this.code = code;
        this.description = description;
        this.abbreviation = abbreviation;
        this.internalNotes = internalNotes;
        this.displayOrder = displayOrder;
        this.displayEnable = displayEnable;
    }

    /** default constructor */
    public XcollCollectionEditingEnum() {
    }

    /** minimal constructor */
    public XcollCollectionEditingEnum(String code, int displayOrder, boolean displayEnable) {
        this.code = code;
        this.displayOrder = displayOrder;
        this.displayEnable = displayEnable;
    }

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getAbbreviation() {
        return this.abbreviation;
    }

    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }

    public String getInternalNotes() {
        return this.internalNotes;
    }

    public void setInternalNotes(String internalNotes) {
        this.internalNotes = internalNotes;
    }

    public int getDisplayOrder() {
        return this.displayOrder;
    }

    public void setDisplayOrder(int displayOrder) {
        this.displayOrder = displayOrder;
    }

    public boolean isDisplayEnable() {
        return this.displayEnable;
    }

    public void setDisplayEnable(boolean displayEnable) {
        this.displayEnable = displayEnable;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("code", getCode())
            .toString();
    }

}
