/**
 * InfoFrame.java
 *  Displays information about the current version of NaviKey
 * @author Michael Bartley
 * @date 7/1/99
 * @author Dieter Neubacher
 */

package net.metadiversity.diversity.navikey.ui;

public class InfoFrame extends javax.swing.JFrame
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3258409547327419444L;
    private javax.swing.JButton closebutton;

    public InfoFrame()
    {
        // super( "About NaviKey v. 4.07" );
        
        super.setTitle( "About NaviKey " + About.VERSION );
        
        getContentPane().setLayout( new java.awt.BorderLayout() );
        
        closebutton = new javax.swing.JButton( "Close" );
        closebutton.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                closeButtonActionPerformed( evt );
            }
        });
        
        getContentPane().add( java.awt.BorderLayout.SOUTH, closebutton );
        getContentPane().add( java.awt.BorderLayout.CENTER, new About() );
    }
    
    private void closeButtonActionPerformed( java.awt.event.ActionEvent evt )
    {
        setVisible( false );
        dispose();
    }
}
